function Element() {
    this.img = undefined;
}

Element.prototype.onFrame = function() {
    this.img.position.y -= objects.game.levelSpeed;
    if(typeof (this.opacityCount) != "undefined") {
        this.opacityCount -= settings.MINUS_SOFT_OPACITY_PER_FRAME;
        this.img.opacity = this.opacityCount;
    }
}

Element.prototype.clear = function() {
    if(typeof (this.img) != "undefined") {
        this.img.remove();
        this.img = undefined;
    }
}

function Prise() {
    this.points = this.height = undefined;
    this.setView();
}
Prise.prototype = new Element();
Prise.prototype.constructor = Prise;

Prise.prototype.setView = function() {
    var index = Math.round(Math.random() * (settings.PRISES.length - 1));
    this.points = settings.PRISES[index][settings.pointsParameter];
    this.height = settings.PRISES[index][settings.heightParameter];
    this.img = new paper.Raster(variables.prisesImages[index]);
    this.img.size.height = this.height;
    this.img.size.width = variables.prisesImages[index].width * (this.height / variables.prisesImages[index].height);
    this.img.position.x = Math.round(Math.random() * (constants.GAME_WIDTH - settings.SIDE_BRICK_SIZE * 2 - this.img.size.width))
            + settings.SIDE_BRICK_SIZE + this.img.size.width / 2;
    this.img.position.y = constants.GAME_HEIGHT + this.height / 2;
}

function Platform() {
    this.width = this.type = this.blocks = this.opacityCount = undefined;
    this.setParameters();
    this.setView();
}
Platform.prototype = new Element();
Platform.prototype.constructor = Platform;

Platform.prototype.setParameters = function() {
    this.blocks = Math.round(Math.random() * (settings.MAX_PLATFORM_BLOCKS - settings.MIN_PLATFORM_BLOCKS)) + settings.MAX_PLATFORM_BLOCKS;
    this.width = this.blocks * settings.PLATFORM_BLOCK_SIZE;
    this.type = Math.round(Math.random() * 2);
}

Platform.prototype.setView = function() {
    this.img = new paper.Group();

    for(var i = 0; i < this.blocks; i++) {
        var oneBlock = new paper.Raster(variables.platformsImages[this.type]);
        oneBlock.size = new paper.Size(settings.PLATFORM_BLOCK_SIZE, settings.PLATFORM_BLOCK_SIZE);
        oneBlock.position.x = settings.PLATFORM_BLOCK_SIZE * i;
        this.img.addChild(oneBlock);
    }

    this.img.position.y = constants.GAME_HEIGHT + settings.PLATFORM_BLOCK_SIZE / 2;
    this.img.position.x = Math.round(Math.random() * (constants.GAME_WIDTH - settings.SIDE_BRICK_SIZE * 2 - this.width))
            + settings.SIDE_BRICK_SIZE + this.width / 2;

    if(this.img.position.x < this.width / 2 + settings.SIDE_BRICK_SIZE + objects.game.player.img.size.width / 2 + 10) {
        this.img.position.x = this.width / 2 + settings.SIDE_BRICK_SIZE;
    }
    if(this.img.position.x > constants.GAME_WIDTH - this.width / 2 - settings.SIDE_BRICK_SIZE - objects.game.player.img.size.width / 2 - 10) {
        this.img.position.x = constants.GAME_WIDTH - this.width / 2 - settings.SIDE_BRICK_SIZE;
    }
}