globals.loadGameData = function() {
    variables.imagesLoaded = 0;
    variables.totalImages = 2 + settings.PRISES.length + 3;

    variables.bricksImage = new Image();
    utils.setImageLoadListener(variables.bricksImage);
    variables.bricksImage.src = settings.SIDE_BRICK_IMAGE_PATH;

    variables.playerImage = new Image();
    utils.setImageLoadListener(variables.playerImage);
    variables.playerImage.src = settings.PLAYER_IMAGE_PATH;

    variables.prisesImages = new Array();
    for(var i = 0; i < settings.PRISES.length; i++) {
        var img = new Image();
        utils.setImageLoadListener(img);
        img.src = settings.PRISES[i][settings.imagePathParameter];
        variables.prisesImages.push(img);
    }

    variables.platformsImages = new Array();

    var img1 = new Image();
    utils.setImageLoadListener(img1);
    img1.src = settings.HARD_PLATFORM_IMAGE_PATH;
    variables.platformsImages.push(img1);

    var img2 = new Image();
    utils.setImageLoadListener(img2);
    img2.src = settings.SOFT_PLATFORM_IMAGE_PATH;
    variables.platformsImages.push(img2);

    var img3 = new Image();
    utils.setImageLoadListener(img3);
    img3.src = settings.NEEDLE_PLATFORM_IMAGE_PATH;
    variables.platformsImages.push(img3);
}

utils.loadOneImage = function(imagePath) {
    var img = new Image();
    utils.setImageLoadListener(img);
    img.src = imagePath;
}

utils.setImageLoadListener = function(img) {
    var oneImageLoaded = function() {
        variables.imagesLoaded++;
        if (variables.imagesLoaded == variables.totalImages) {
            domElements.$preloader.addClass(domElements.invisibleClassName);
            globals.initGameObjects();
        }
    }
    img.onload = function(e) {
        oneImageLoaded();
    };
    img.onerror = function(e) {
        oneImageLoaded();
        alert(img.src + " is missing");
    }
}

globals.initGameObjects = function() {
    if(settings.RECORDS_ENABLED) {
        objects.server = new Server();
        objects.records = new Records();
    }
    objects.intro = new Intro();
    objects.game = new Game();
    utils.turnOnScreen(domElements.$introScreen);
}


globals.init = function() {
    var canvas = document.getElementById("canvas");
    paper.setup(canvas);
    globals.loadGameData();
    utils.setVirtualMouseEvents();
    utils.setOrientationChangeListener();
    utils.resizeAll();
    $(window).resize(function(e) {
        utils.resizeAll();
    });
};

globals.init();