function SideBricks() {
    this.totalHeight = this.allBricks = undefined;

    this.setView();
}

SideBricks.prototype.setView = function() {
    var leftBricks = new paper.Group();
    var rightBricks = new paper.Group();

    var currentY = 0 + settings.SIDE_BRICK_SIZE / 2;
    var iterations = Math.ceil(constants.GAME_HEIGHT / settings.SIDE_BRICK_SIZE) + 2;
    this.totalHeight = settings.SIDE_BRICK_SIZE * iterations;
    for(var i = 0; i < iterations; i++) {
        var leftBrick = new paper.Raster(variables.bricksImage);
        leftBrick.size = new paper.Size(settings.SIDE_BRICK_SIZE);
        leftBrick.position.y = currentY;
        leftBricks.addChild(leftBrick);

        var rightBrick = new paper.Raster(variables.bricksImage);
        rightBrick.size = new paper.Size(settings.SIDE_BRICK_SIZE);
        rightBrick.position.y = currentY;
        rightBricks.addChild(rightBrick);

        currentY += settings.SIDE_BRICK_SIZE;
    }

    leftBricks.position.x = settings.SIDE_BRICK_SIZE / 2;
    rightBricks.position.x = constants.GAME_WIDTH - settings.SIDE_BRICK_SIZE / 2;

    var commonGroup = new paper.Group([leftBricks, rightBricks]);
    this.allBricks = commonGroup.rasterize();
    commonGroup.remove();
}

SideBricks.prototype.setToStart = function() {
    this.allBricks.position.y = this.totalHeight / 2;
}

SideBricks.prototype.onFrame = function() {
    this.allBricks.position.y -= objects.game.levelSpeed;
    if(this.allBricks.position.y < this.totalHeight / 2 - settings.SIDE_BRICK_SIZE) {
        this.allBricks.position.y += settings.SIDE_BRICK_SIZE;
    }
}